Ordering APIEvents
Items added to an existing order
Fired when items are added to a kitchen dispatch that already exists.
Request Body
application/json
Payload delivered to your subscribed webhook URL for the order.items_added event.
TypeScript Definitions
Use the request body type in TypeScript.
Envelope POSTed to subscribed webhook URLs. Signed with HMAC-SHA256 in the X-Webhook-Signature header.
id*string
Unique id of this delivery attempt group.
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidevent*"order.items_added"
Value in
- "order.items_added"
resource*"order"
Value in
- "order"
resourceId*string
timestamp*string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Format
date-timeapiVersion*string
data*
Response Body
Example Requests
Envelope POSTed to subscribed webhook URLs. Signed with HMAC-SHA256 in the X-Webhook-Signature header.
POST
/order.items_added